你好,游客 登录 注册 搜索
背景:
阅读新闻

Ubuntu 安装 2.10.x版本的Scala

[日期:2015-04-19] 来源:Linux社区  作者:justinzhang [字体: ]

Ubuntu 14.04.1 LTS上默认的scala版本是2.9的,而最新版本的spark-1.3需要最低版本的scala版本为2.10.x,先使用apt-get remove scala将机器上的老版本scala清除干净。在这个位置下载 http://www.scala-lang.org/download/2.10.5.html scala,

现在好后,解压,

最后编辑~/.bashrc,设置如下环境变量:

export PATH=/home/zhangchao3/spark-evn/scala-2.10.5/bin:$PATH
export SCALA_HOME=/home/zhangchao3/spark-evn/scala-2.10.5

最后可以看到,scala的版本为2.10的了

www.linuxidc.com@Hadoop01:~/spark-evn/scala-2.10.5$ scala -version
Scala code runner version 2.10.5 -- Copyright 2002-2013, LAMP/EPFL

Scala 的详细介绍请点这里
Scala 的下载地址请点这里

更多Ubuntu相关信息见Ubuntu 专题页面 http://www.linuxidc.com/topicnews.aspx?tid=2

本文永久更新链接地址http://www.linuxidc.com/Linux/2015-04/116455.htm

 

linux
相关资讯       Scala 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款